package mapped;

import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;

@ObfuscatedName("uf")
public class class520 {
   @ObfuscatedName("ar")
   @ObfuscatedGetter(
      intValue = -1327153605
   )
   static final int field5086;
   @ObfuscatedName("ao")
   @ObfuscatedGetter(
      intValue = 362152811
   )
   static final int field5087;
   @ObfuscatedName("aa")
   public static int[] SpriteBuffer_spriteHeights;

   static {
      field5086 = (int)(Math.pow(2.0D, 4.0D) - 1.0D);
      field5087 = (int)(Math.pow(2.0D, 8.0D) - 1.0D);
   }

   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "(B)[Lly;",
      garbageValue = "-51"
   )
   public static class306[] method9189_base() {
      return new class306[]{class306.OBJ_OPFILTER, class306.SOUND_AREA, class306.MAP_PROJANIM, class306.LOC_ANIM, class306.MAP_PROJANIM_OLD_OLD, class306.MAP_ANIM, class306.OBJ_ADD, class306.LOC_MERGEPLAYER, class306.LOC_ADD_CHANGE, class306.OBJ_DEL, class306.MAP_PROJANIM_OLD, class306.OBJ_COUNT, class306.LOC_DEL};
   }

   @ObfuscatedName("nd")
   @ObfuscatedSignature(
      descriptor = "(I)V",
      garbageValue = "471269719"
   )
   static final void method9190_base() {
      PacketBufferNode var0 = class113.method2919(ClientPacket.CLOSE_MODAL, Client.packetWriter.isaacCipher);
      Client.packetWriter.method2867(var0);
      Interpreter.field842 = true;

      for(InterfaceParent var1 = (InterfaceParent)Client.interfaceParents.method8977(); var1 != null; var1 = (InterfaceParent)Client.interfaceParents.method8978()) {
         if(var1.type == 0 || var1.type == 3) {
            class302.method5909(var1, true);
         }
      }

      if(Client.meslayerContinueWidget != null) {
         class159.method3423(Client.meslayerContinueWidget);
         Client.meslayerContinueWidget = null;
      }

      Interpreter.field842 = false;
   }
}
